AddressedEndpointDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.endpoint.support.AddressedEndpointDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific.endpoint.support
Class AddressedEndpointDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
                      org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
                          org.mule.config.spring.parsers.specific.endpoint.support.AddressedEndpointDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  TransportEndpointDefinitionParser, TransportGlobalEndpointDefinitionParser

    public class AddressedEndpointDefinitionParser

extends AbstractSingleParentFamilyDefinitionParser

Combine a `ChildAddressDefinitionParser` and either a `OrphanEndpointDefinitionParser` or a `ChildEndpointDefinitionParser` in one parser. This lets us put the address attributes in the endpoint element.

Field Summary
`protected Log` | `logger`
`static boolean` | `META`
`static String` | `PROPERTIES`
`static boolean` | `PROTOCOL`
`static String[]` | `RESTRICTED_ENDPOINT_ATTRIBUTES`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`firstDefinition`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`AddressedEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, MuleDefinitionParser endpointParser)`
`AddressedEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, MuleDefinitionParser endpointParser, String[] requiredAddressAttributes, String[] requiredProperties)`
`AddressedEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, MuleDefinitionParser endpointParser, String[] endpointAttributes, String[] addressAttributes, String[][] requiredAddressAttributes, String[][] requiredProperties)`
`AddressedEndpointDefinitionParser(String protocol, MuleDefinitionParser endpointParser)`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
`addChildDelegate, addDelegate, addDelegateAsChild, doSingleBean`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`setReturnFirstResult`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
`addHandledException, disableAttribute, disableAttributes, disableAttributes, enableAttribute, enableAttributes, enableAttributes, enableAttributes, isExceptionHandled, muleParse, resetAttribute, resetNameAndId`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### logger

    protected Log logger

### META

    public static final boolean META

See Also:
  Constant Field Values

### PROTOCOL

    public static final boolean PROTOCOL

See Also:
  Constant Field Values

### PROPERTIES

    public static final String PROPERTIES

See Also:
  Constant Field Values

### RESTRICTED_ENDPOINT_ATTRIBUTES

    public static final String[] RESTRICTED_ENDPOINT_ATTRIBUTES

Constructor Detail

### AddressedEndpointDefinitionParser

    public AddressedEndpointDefinitionParser(String protocol,
                                             MuleDefinitionParser endpointParser)

### AddressedEndpointDefinitionParser

    public AddressedEndpointDefinitionParser(String metaOrProtocol,
                                             boolean isMeta,
                                             MuleDefinitionParser endpointParser)

### AddressedEndpointDefinitionParser

    public AddressedEndpointDefinitionParser(String metaOrProtocol,
                                             boolean isMeta,
                                             MuleDefinitionParser endpointParser,
                                             String[] requiredAddressAttributes,
                                             String[] requiredProperties)

### AddressedEndpointDefinitionParser

    public AddressedEndpointDefinitionParser(String metaOrProtocol,
                                             boolean isMeta,
                                             MuleDefinitionParser endpointParser,
                                             String[] endpointAttributes,
                                             String[] addressAttributes,
                                             String[][] requiredAddressAttributes,
                                             String[][] requiredProperties)

Parameters:
  `metaOrProtocol` - The transport metaOrProtocol ("tcp" etc)
  `isMeta` - Whether transport is "meta" or not (eg cxf)
  `endpointParser` - The parser for the endpoint
  `endpointAttributes` - A list of attribute names which will be set as properties on the endpoint builder
  `addressAttributes` - A list of attribute names which will be set as properties on the endpoint URI builder
  `requiredAddressAttributes` - A list of attribute names that are required if "address" isn't present
  `requiredProperties` - A list of property names that are required if "address" isn't present

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.